Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.singularsys.jep.misc
Enum ExtendedOperatorSet.ExtendedOperators

    java.lang.Object
      java.lang.Enum<ExtendedOperatorSet.ExtendedOperators>
          com.singularsys.jep.misc.ExtendedOperatorSet.ExtendedOperators

All Implemented Interfaces:
  OperatorTable2.OperatorKey, java.io.Serializable, java.lang.Comparable<ExtendedOperatorSet.ExtendedOperators>

Enclosing class:
  ExtendedOperatorSet

    public static enum ExtendedOperatorSet.ExtendedOperators

extends java.lang.Enum<ExtendedOperatorSet.ExtendedOperators>
implements OperatorTable2.OperatorKey

Enum Constant Summary
`FACT`
`IF`
`PERCENT`

Method Summary
`static ExtendedOperatorSet.ExtendedOperators` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExtendedOperatorSet.ExtendedOperators[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FACT

    public static final ExtendedOperatorSet.ExtendedOperators FACT

### PERCENT

    public static final ExtendedOperatorSet.ExtendedOperators PERCENT

### IF

    public static final ExtendedOperatorSet.ExtendedOperators IF

Method Detail

### values

    public static ExtendedOperatorSet.ExtendedOperators[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExtendedOperatorSet.ExtendedOperators c : ExtendedOperatorSet.ExtendedOperators.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExtendedOperatorSet.ExtendedOperators valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep